Package twisted :: Package internet :: Module main

[show private | hide private]
[frames | no frames]

## Module twisted.internet.main

Backwards compatability, and utility functions.

In general, this module should not be used, other than by reactor authors who need to use the 'installReactor' method.

Maintainer: Itamar Shtull-Trauring<mailto:twisted@itamarst.org>

Function Summary
| `installReactor(reactor)`

Variable Summary
`ConnectionLost` | `CONNECTION_LOST`
`ConnectionDone` | `CONNECTION_DONE`
`instance method` | `addReader`
`instance method` | `addWriter`
`instance method` | `iterate`
`instance method` | `removeReader`
`instance method` | `removeWriter`
`instance method` | `wakeUp`

Variable Details

### addReader

`addReader` = `twisted.internet.default.SelectReactor.addReader`

### addWriter

`addWriter` = `twisted.internet.default.SelectReactor.addWriter`

### CONNECTION_DONE

  Type:
    `ConnectionDone`
  Value:

        <twisted.internet.error.ConnectionDone instance at 0x82b0e0c>

### CONNECTION_LOST

  Type:
    `ConnectionLost`
  Value:

        <twisted.internet.error.ConnectionLost instance at 0x833eb04>

### iterate

`iterate` = `twisted.internet.base.ReactorBase.iterate`

### removeReader

`removeReader` = `twisted.internet.default.SelectReactor.removeReader`

### removeWriter

`removeWriter` = `twisted.internet.default.SelectReactor.removeWriter`

### wakeUp

`wakeUp` = `twisted.internet.base.ReactorBase.wakeUp`

Generated by Epydoc 1.1 on Sat Feb 15 21:17:52 2003 | http://epydoc.sf.net